import { CommonModule } from '@angular/common';
import { EJComponents } from './core';
import { EventEmitter, IterableDiffers, KeyValueDiffers, Type, Component, ElementRef, ChangeDetectorRef, Input, Output, NgModule, ModuleWithProviders } from '@angular/core';



@Component({
    selector: 'ej-dashboardviewer',
    template: ''})
export class DashboardViewerComponent extends EJComponents<any, any> {
	@Input('accessToken') accessToken_input: any;
	@Input('url') url_input: any;
	@Input('serviceUrl') serviceUrl_input: any;
	@Input('cssClass') cssClass_input: any;
	@Input('report') report_input: any;
	@Input('dashboardPath') dashboardPath_input: any;
	@Input('size') size_input: any;
	@Input('enableServerSideCache') enableServerSideCache_input: any;
	@Input('enableClientSideCache') enableClientSideCache_input: any;
	@Input('cacheSettings') cacheSettings_input: any;
	@Input('cacheAjax') cacheAjax_input: any;
	@Input('enableFilterOverview') enableFilterOverview_input: any;
	@Input('updatePageTitle') updatePageTitle_input: any;
	@Input('enableAutoRefresh') enableAutoRefresh_input: any;
	@Input('autoRefreshSettings') autoRefreshSettings_input: any;
	@Input('allowComment') allowComment_input: any;
	@Input('commentSettings') commentSettings_input: any;
	@Input('enableCustomTheming') enableCustomTheming_input: any;
	@Input('customThemeSettings') customThemeSettings_input: any;
	@Input('filterParameters') filterParameters_input: any;
	@Input('localeSettings') localeSettings_input: any;
	@Input('localizationSettings') localizationSettings_input: any;
	@Input('favoriteSettings') favoriteSettings_input: any;
	@Input('responsiveSettings') responsiveSettings_input: any;
	@Input('showTab') showTab_input: any;
	@Input('showGetLinkIcon') showGetLinkIcon_input: any;
	@Input('enableWidgetMode') enableWidgetMode_input: any;
	@Input('widgetActionSettings') widgetActionSettings_input: any;
	@Input('widgetModeSettings') widgetModeSettings_input: any;
	@Input('filterPanelSettings') filterPanelSettings_input: any;
	@Input('interactionSettings') interactionSettings_input: any;
	@Input('filterOverviewSettings') filterOverviewSettings_input: any;
	@Input('selectedTabIndex') selectedTabIndex_input: any;
	@Input('selectedTabName') selectedTabName_input: any;
	@Input('selectedTabGuid') selectedTabGuid_input: any;
	@Input('dashboardParameterSettings') dashboardParameterSettings_input: any;
	@Input('size.height') size_height_input: any;
	@Input('size.width') size_width_input: any;
	@Input('cacheSettings.enableAutoCleanup') cacheSettings_enableAutoCleanup_input: any;
	@Input('cacheSettings.capacity') cacheSettings_capacity_input: any;
	@Input('cacheSettings.cleanupInterval') cacheSettings_cleanupInterval_input: any;
	@Input('cacheAjax.enableAjaxCache') cacheAjax_enableAjaxCache_input: any;
	@Input('cacheAjax.capacity') cacheAjax_capacity_input: any;
	@Input('cacheAjax.enableExpiration') cacheAjax_enableExpiration_input: any;
	@Input('cacheAjax.expirationMinutes') cacheAjax_expirationMinutes_input: any;
	@Input('autoRefreshSettings.tabName') autoRefreshSettings_tabName_input: any;
	@Input('autoRefreshSettings.tabIndex') autoRefreshSettings_tabIndex_input: any;
	@Input('autoRefreshSettings.intervalSettings') autoRefreshSettings_intervalSettings_input: any;
	@Input('autoRefreshSettings.isWidgetSpecific') autoRefreshSettings_isWidgetSpecific_input: any;
	@Input('autoRefreshSettings.showWaitingIndicator') autoRefreshSettings_showWaitingIndicator_input: any;
	@Input('autoRefreshSettings.trackData') autoRefreshSettings_trackData_input: any;
	@Input('autoRefreshSettings.widgets') autoRefreshSettings_widgets_input: any;
	@Input('commentSettings.isDashboardCommented') commentSettings_isDashboardCommented_input: any;
	@Input('commentSettings.isWidgetCommented') commentSettings_isWidgetCommented_input: any;
	@Input('commentSettings.widgets') commentSettings_widgets_input: any;
	@Input('commentSettings.commentedWidgetList') commentSettings_commentedWidgetList_input: any;
	@Input('commentSettings.enableComment') commentSettings_enableComment_input: any;
	@Input('localeSettings.resourcePath') localeSettings_resourcePath_input: any;
	@Input('localeSettings.culture') localeSettings_culture_input: any;
	@Input('localizationSettings.resourcePath') localizationSettings_resourcePath_input: any;
	@Input('localizationSettings.culture') localizationSettings_culture_input: any;
	@Input('favoriteSettings.enabled') favoriteSettings_enabled_input: any;
	@Input('favoriteSettings.isFavorite') favoriteSettings_isFavorite_input: any;
	@Input('responsiveSettings.showMaximize') responsiveSettings_showMaximize_input: any;
	@Input('responsiveSettings.showExport') responsiveSettings_showExport_input: any;
	@Input('widgetActionSettings.widgetId') widgetActionSettings_widgetId_input: any;
	@Input('widgetActionSettings.actionSettings') widgetActionSettings_actionSettings_input: any;
	@Input('widgetModeSettings.name') widgetModeSettings_name_input: any;
	@Input('widgetModeSettings.id') widgetModeSettings_id_input: any;
	@Input('filterPanelSettings.state') filterPanelSettings_state_input: any;
	@Input('filterPanelSettings.filterPanelId') filterPanelSettings_filterPanelId_input: any;
	@Input('filterPanelSettings.showIcon') filterPanelSettings_showIcon_input: any;
	@Input('filterPanelSettings.showHeader') filterPanelSettings_showHeader_input: any;
	@Input('filterPanelSettings.showCloseIcon') filterPanelSettings_showCloseIcon_input: any;
	@Input('interactionSettings.multiSelectionInterval') interactionSettings_multiSelectionInterval_input: any;
	@Input('interactionSettings.allowHistoryMaitenance') interactionSettings_allowHistoryMaitenance_input: any;
	@Input('interactionSettings.handleHistoryEvent') interactionSettings_handleHistoryEvent_input: any;
	@Input('filterOverviewSettings.viewName') filterOverviewSettings_viewName_input: any;
	@Input('filterOverviewSettings.viewId') filterOverviewSettings_viewId_input: any;
	@Input('filterOverviewSettings.showSaveIcon') filterOverviewSettings_showSaveIcon_input: any;
	@Input('filterOverviewSettings.showSaveAsIcon') filterOverviewSettings_showSaveAsIcon_input: any;
	@Input('filterOverviewSettings.showViewSavedFilterIcon') filterOverviewSettings_showViewSavedFilterIcon_input: any;
	@Input('dashboardParameterSettings.data') dashboardParameterSettings_data_input: any;
	@Input('dashboardParameterSettings.showIcon') dashboardParameterSettings_showIcon_input: any;
    @Input('options') options: any;


	@Output('dashboardCreated') dashboardCreated_output = new EventEmitter();
	@Output('onFilterOverviewUpdated') onFilterOverviewUpdated_output = new EventEmitter();
	@Output('openWidgetComment') openWidgetComment_output = new EventEmitter();
	@Output('openDashboardComment') openDashboardComment_output = new EventEmitter();
	@Output('beforeMasterFilterApplied') beforeMasterFilterApplied_output = new EventEmitter();
	@Output('onHistoryPopStateChange') onHistoryPopStateChange_output = new EventEmitter();
	@Output('beforeWidgetRender') beforeWidgetRender_output = new EventEmitter();
	@Output('afterWidgetRender') afterWidgetRender_output = new EventEmitter();
	@Output('beforeLayoutRender') beforeLayoutRender_output = new EventEmitter();
	@Output('afterLayoutRender') afterLayoutRender_output = new EventEmitter();
	@Output('onApplyConnection') onApplyConnection_output = new EventEmitter();
	@Output('ondemandChangeConnectionString') ondemandChangeConnectionString_output = new EventEmitter();
	@Output('destroy') destroy_output = new EventEmitter();
	@Output('beforeWidgetIconRendered') beforeWidgetIconRendered_output = new EventEmitter();
	@Output('beforeControlMenuOpen') beforeControlMenuOpen_output = new EventEmitter();
	@Output('beforeContextMenuOpen') beforeContextMenuOpen_output = new EventEmitter();
	@Output('onMenuItemClick') onMenuItemClick_output = new EventEmitter();
	@Output('onMenuIconClick') onMenuIconClick_output = new EventEmitter();
	@Output('onDashboardClick') onDashboardClick_output = new EventEmitter();
	@Output('onCommentDialogClose') onCommentDialogClose_output = new EventEmitter();
	@Output('beforePassiveErrorRender') beforePassiveErrorRender_output = new EventEmitter();
	@Output('beforeDashboardFetch') beforeDashboardFetch_output = new EventEmitter();
	@Output('beforeDashboardIconRendered') beforeDashboardIconRendered_output = new EventEmitter();
	@Output('onBannerIconClick') onBannerIconClick_output = new EventEmitter();
	@Output('onFavoriteStateChange') onFavoriteStateChange_output = new EventEmitter();
	@Output('tabSelect') tabSelect_output = new EventEmitter();
	@Output('tabActive') tabActive_output = new EventEmitter();
	@Output('filterPanelOpen') filterPanelOpen_output = new EventEmitter();
	@Output('beforeFilterPanelClose') beforeFilterPanelClose_output = new EventEmitter();
	@Output('filterPanelClose') filterPanelClose_output = new EventEmitter();
	@Output('beforeFilterPanelOpen') beforeFilterPanelOpen_output = new EventEmitter();
	@Output('onSaveFilter') onSaveFilter_output = new EventEmitter();
	@Output('onSaveAsFilter') onSaveAsFilter_output = new EventEmitter();
	@Output('onViewSavedFilters') onViewSavedFilters_output = new EventEmitter();
	@Output('onWidgetCommented') onWidgetCommented_output = new EventEmitter();
	@Output('onDashboardCommented') onDashboardCommented_output = new EventEmitter();
	@Output('beforeNavigate') beforeNavigate_output = new EventEmitter();
	@Output('afterNavigate') afterNavigate_output = new EventEmitter();
	@Output('actionBegin') actionBegin_output = new EventEmitter();
	@Output('actionComplete') actionComplete_output = new EventEmitter();

    constructor(public el: ElementRef, public cdRef: ChangeDetectorRef, private _ejIterableDiffers: IterableDiffers, private _ejkeyvaluediffers: KeyValueDiffers) {
        super('DashboardViewer', el, cdRef, [], _ejIterableDiffers, _ejkeyvaluediffers);
    }



}

export var EJ_DASHBOARDVIEWER_COMPONENTS: Type<any>[] = [DashboardViewerComponent
];


